package sgc.portal.cw.cw0205.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0205.dto.CW02050001USearch;
import sgc.portal.cw.cw0205.model.CW02050001U;
import sgc.portal.cw.cw0205.service.CW02050001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0205")
public class CW02050001UController {
    private final CW02050001UService service;

    public CW02050001UController(CW02050001UService service) {
        this.service = service;
    }

    @PostMapping("/CW02050001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW02050001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW02050001U/list2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CW02050001USearch search) {
        return service.getList2(search);
    }

}
